adobe reader font package is required

A font package is required to correctly display this page. Click “OK” to direct your browser to download the add-on from Adobe.com. After installation, you will need to close and re-open the document to correctly view contents dependent on these newly installed fonts.

It happens when you’re trying to open a pdf document using Adobe Reader DC. The reader is missing font package and spelling dictionary pack, you need to download it and install to resolve the issue.

How to fix a font package is required to correctly display this page

From the error message, click OK to visit the Adobe add-on download page. You will find out an installation instruction from there.

Adobe reader DC font pack installation. A font package is required to correctly display this page
Adobe Reader font pack installation
  1. Go to Help > About Adobe Acrobat Reader DC to find out the current version of Adobe Reader DC.
  2. Download the font package specific to your version of Acrobat Reader DC.
  3. Important: Close the Adobe Reader DC before installation. Installation will not continue if the reader is open.
  4. Run the font package and reopen the reader upon installation.

See Also: Error 0x00000709 Windows couldn’t connect to the printer

Similar Posts

Leave a Reply

Your email address will not be published. Required fields are marked *